> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all contacts for a customer

> List all contacts for a customer



## OpenAPI

````yaml customer.latest.product.live GET /customers/{customer}/contacts
openapi: 3.0.0
info:
  title: Customers
  description: Manage customers and contacts
  version: '0.1'
servers:
  - url: https://dev.seqhq.io/api
    description: DEV
  - url: https://sandbox.sequencehq.com/api
    description: SANDBOX
  - url: https://eu.sequencehq.com/api
    description: PRODUCTION
security: []
tags: []
paths:
  /customers/{customer}/contacts:
    servers: []
    parameters: []
    get:
      tags:
        - Contacts
      summary: List all contacts for a customer
      description: List all contacts for a customer
      operationId: getCustomersByCustomerContacts
      parameters:
        - name: customer
          in: path
          description: The Customer ID
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: includeArchived
          in: query
          description: Include archived contacts in results
          required: false
          schema:
            type: boolean
        - name: Sequence-Version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListContactEndpointContactResponseModel'
                example:
                  items:
                    - id: 9a1e38a9-4dc9-776f-f974-4e7ee9f4d6cc
                      name: John Smith
                      email: john.smith@example.com
                      billingPreference: NONE
                      createdAt: '2022-06-28T16:47:00Z'
                      updatedAt: '2022-06-28T16:47:00Z'
                      archivedAt: '2023-06-28T16:47:00Z'
              examples:
                ListContactEndpointContactResponseModel:
                  summary: ''
                  value:
                    items:
                      - id: 9a1e38a9-4dc9-776f-f974-4e7ee9f4d6cc
                        name: John Smith
                        email: john.smith@example.com
                        billingPreference: NONE
                        createdAt: '2022-06-28T16:47:00Z'
                        updatedAt: '2022-06-28T16:47:00Z'
                        archivedAt: '2023-06-28T16:47:00Z'
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    ListContactEndpointContactResponseModel:
      required:
        - items
      type: object
      example:
        items:
          - id: 9a1e38a9-4dc9-776f-f974-4e7ee9f4d6cc
            name: John Smith
            email: john.smith@example.com
            billingPreference: NONE
            createdAt: '2022-06-28T16:47:00Z'
            updatedAt: '2022-06-28T16:47:00Z'
            archivedAt: '2023-06-28T16:47:00Z'
      properties:
        items:
          type: array
          description: Contacts
          example:
            - id: 9a1e38a9-4dc9-776f-f974-4e7ee9f4d6cc
              name: John Smith
              email: john.smith@example.com
              billingPreference: NONE
              createdAt: '2022-06-28T16:47:00Z'
              updatedAt: '2022-06-28T16:47:00Z'
              archivedAt: '2023-06-28T16:47:00Z'
          items:
            $ref: '#/components/schemas/Contact'
    Contact:
      required:
        - billingPreference
        - createdAt
        - email
        - id
        - name
        - updatedAt
      type: object
      example:
        id: 9a1e38a9-4dc9-776f-f974-4e7ee9f4d6cc
        name: John Smith
        email: john.smith@example.com
        billingPreference: NONE
        createdAt: '2022-06-28T16:47:00Z'
        updatedAt: '2022-06-28T16:47:00Z'
        archivedAt: '2023-06-28T16:47:00Z'
      properties:
        id:
          type: string
          description: Unique ID
          example: 9a1e38a9-4dc9-776f-f974-4e7ee9f4d6cc
        name:
          type: string
          description: Full name of this contact
          example: John Smith
        email:
          type: string
          description: Email address of this contact
          example: john.smith@example.com
        billingPreference:
          $ref: '#/components/schemas/ContactBillingPreference'
          description: >-
            Billing preference. Whether this contact receives billing
            communications. Options are NONE, STANDARD or PRIMARY. For a given
            customer, if any contacts receive billing communications then at
            least one contact must be designated PRIMARY for billing.
        createdAt:
          type: string
          description: Time of creation. Formatted as an ISO 8601 timestamp.
          example: '2022-06-28T16:47:00Z'
        updatedAt:
          type: string
          description: Time of last update. Formatted as an ISO 8601 timestamp.
          example: '2022-06-28T16:47:00Z'
        archivedAt:
          type: string
          description: Time of archive. Formatted as an ISO 8601 timestamp.
          example: '2023-06-28T16:47:00Z'
    ContactBillingPreference:
      type: string
      example: NONE
      enum:
        - PRIMARY
        - STANDARD
        - NONE

````